// MyRtfDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MyRtf.h"
#include "MyRtfDlg.h"
#include <afxpriv.h> // for WM_SETMESSAGESTRING and WM_IDLEUPDATECMDUI
#include <afxres.h> // for AFX_IDW_STATUS_BAR
#include <afxole.h> // for COleDataObject


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//----------------------------------------------------------------------------
// Bugs: ........1. After ending action File - Print appears the 
// 					following message: "This programm has performed an 
//					illegal operation and will be shut down".
//				 2. Messages from OnFileSave() appear twice.                  
//				 3. If I don't want to overwrite the existent file, it
//                  is created again( content is zero ).
//               4. If the file is created for the first time, the 
//                  message with overwrite appears. 		
// 6.After closing the app appears the same message
// like 1.
//----------------------------------------------------------------------------
// @doc
//----------------------------------------------------------------------------
// Bugs fix:.....1. delete lines: "oldFont = new CFont;" and "delete 
//                  oldFont;" from OnFilePrint().
//----------------------------------------------------------------------------


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// indicators from status bar
// Caps Lock
// Num Lock
// Scroll Lock
static UINT indicators[] =
{
	ID_SEPARATOR ,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL
};


/////////////////////////////////////////////////////////////////////////////
// CMyRtfDlg dialog

CMyRtfDlg::CMyRtfDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMyRtfDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMyRtfDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	
	// lines added on 21 september 2001
	m_nIDTracking     = 0;
	m_nIDLastMessage  = 0;

}

void CMyRtfDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMyRtfDlg)
	DDX_Control(pDX, IDC_RICHEDIT1, m_rtf);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMyRtfDlg, CDialog)
	//{{AFX_MSG_MAP(CMyRtfDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_COMMAND(ID_FILE_NEW, OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, OnFileOpen)
	ON_COMMAND(ID_FILE_SAVE, OnFileSave)
	ON_COMMAND(ID_FILE_SAVE_AS, OnFileSaveAs)
	ON_COMMAND(ID_FILE_PRINT, OnFilePrint)
	ON_COMMAND(ID_BOLD, OnBold)
	ON_COMMAND(ID_ITALIC, OnItalic)
	ON_COMMAND(ID_UNDERLINE, OnUnderline)
	ON_COMMAND(ID_EDIT_UNDO, OnEditUndo)
	ON_COMMAND(ID_EDIT_CUT, OnEditCut)
	ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
	ON_COMMAND(ID_EDIT_PASTE, OnEditPaste)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	ON_COMMAND(ID_COLOUR, OnColour)
	ON_WM_CLOSE()
	ON_COMMAND(ID_PARAGRAPH_LEFT, OnParagraphLeft)
	ON_COMMAND(ID_PARAGRAPH_CENTER, OnParagraphCenter)
	ON_COMMAND(ID_PARAGRAPH_RIGHT, OnParagraphRight)
	ON_COMMAND(ID_PARAGRAPH_BULLETED, OnParagraphBulleted)
	ON_COMMAND(ID_FORMAT_FONT, OnFormatFont)
	ON_COMMAND(ID_EDIT_SELECT_ALL, OnEditSelectAll)
	ON_COMMAND(ID_EDIT_DELETE, OnEditDelete)
	ON_COMMAND(ID_CHANGE_BACKGROUND_COLOR, OnChangeBackgroundColor)
	ON_WM_SIZE()
	ON_UPDATE_COMMAND_UI(ID_EDIT_CUT, OnUpdateEditCut)
	ON_UPDATE_COMMAND_UI(ID_EDIT_COPY, OnUpdateEditCopy)
	ON_UPDATE_COMMAND_UI(ID_BOLD, OnUpdateBold)
	ON_UPDATE_COMMAND_UI(ID_ITALIC, OnUpdateItalic)
	ON_UPDATE_COMMAND_UI(ID_UNDERLINE, OnUpdateUnderline)
	ON_UPDATE_COMMAND_UI(ID_EDIT_PASTE, OnUpdateEditPaste)
	ON_WM_LBUTTONDOWN()
	ON_UPDATE_COMMAND_UI(ID_EDIT_DELETE, OnUpdateEditDelete)
	ON_UPDATE_COMMAND_UI(ID_EDIT_UNDO, OnUpdateEditUndo)
	ON_UPDATE_COMMAND_UI(ID_PARAGRAPH_BULLETED, OnUpdateParagraphBulleted)
	ON_UPDATE_COMMAND_UI(ID_PARAGRAPH_CENTER, OnUpdateParagraphCenter)
	ON_UPDATE_COMMAND_UI(ID_PARAGRAPH_LEFT, OnUpdateParagraphLeft)
	ON_UPDATE_COMMAND_UI(ID_PARAGRAPH_RIGHT, OnUpdateParagraphRight)
	//}}AFX_MSG_MAP
	ON_NOTIFY_EX_RANGE(TTN_NEEDTEXTW, 0, 0xFFFF, OnToolTipText)
	ON_NOTIFY_EX_RANGE(TTN_NEEDTEXTA, 0, 0xFFFF, OnToolTipText)
	ON_WM_ENTERIDLE()
	ON_WM_INITMENUPOPUP()
	ON_WM_MENUSELECT()
	ON_MESSAGE(WM_SETMESSAGESTRING, OnSetMessageString)
	ON_MESSAGE(WM_POPMESSAGESTRING, OnPopMessageString)

	// Standard View menu options
	ON_COMMAND(ID_VIEW_STATUS_BAR, OnStatusBarCheck)
	ON_COMMAND(ID_VIEW_TOOLBAR, OnToolBarCheck)
	ON_UPDATE_COMMAND_UI(ID_VIEW_STATUS_BAR, OnUpdateStatusBarMenu)
	ON_UPDATE_COMMAND_UI(ID_VIEW_TOOLBAR, OnUpdateToolBarMenu)

	// Standard status bar mode indicators
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_CAPS, OnUpdateKeyIndicator)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_NUM, OnUpdateKeyIndicator)
	ON_UPDATE_COMMAND_UI(ID_INDICATOR_SCRL, OnUpdateKeyIndicator)
	// 6 aug 2003 for updating dialog box controls
	ON_MESSAGE(WM_KICKIDLE,OnKickIdle)
	ON_MESSAGE(WM_IDLEUPDATECMDUI,OnIdleUpdateCmdUI)


END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CMyRtfDlg message handlers

BOOL CMyRtfDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	// allow tool tips to appear
	EnableToolTips();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	// code added on 8 octomber 2001 
	// Create status bar at the bottom of the dialog window
	
	if (!m_statusBar.CreateEx(this,0,WS_CHILD | WS_VISIBLE | CBRS_BOTTOM | SBT_TOOLTIPS) ||
		!m_statusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}
	// Make a sunken or recessed border around the first pane
		m_statusBar.SetPaneInfo(0, m_statusBar.GetItemID(0),
			SBPS_STRETCH, NULL );
		m_statusBar.GetStatusBarCtrl().SetBkColor(RGB(250,192,18));
		m_statusBar.EnableToolTips();
		OnSetMessageString(AFX_IDS_IDLEMESSAGE);
  
	// Create toolbar at the top of the dialog window
	if (m_toolBar.Create(this))
		m_toolBar.LoadToolBar(IDR_TOOLBAR1) ;
	// a small gap between buttons	
	m_toolBar.SetButtonInfo(m_toolBar.CommandToIndex(ID_FILE_SAVE)+1,ID_SEPARATOR,TBBS_SEPARATOR,5);
	m_toolBar.SetButtonInfo(m_toolBar.CommandToIndex(ID_EDIT_DELETE)+1,ID_SEPARATOR,TBBS_SEPARATOR,5);
	m_toolBar.SetButtonInfo(m_toolBar.CommandToIndex(ID_EDIT_UNDO)+1,ID_SEPARATOR,TBBS_SEPARATOR,5);
	m_toolBar.SetButtonInfo(m_toolBar.CommandToIndex(ID_APP_ABOUT)+1,ID_SEPARATOR,TBBS_SEPARATOR,5);
	m_toolBar.SetButtonInfo(m_toolBar.CommandToIndex(ID_COLOUR)+1,ID_SEPARATOR,TBBS_SEPARATOR,5);

    // bold,italic and underline toggles between 
	// the pressed and unpressed state
		m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_BOLD),TBBS_CHECKBOX);
		m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_UNDERLINE),TBBS_CHECKBOX);
		m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_ITALIC),TBBS_CHECKBOX);
	// Creates a check button that stays pressed 
	// until another button in the group is pressed.
	m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_PARAGRAPH_LEFT),TBBS_CHECKGROUP);
	m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_PARAGRAPH_CENTER),TBBS_CHECKGROUP);
	m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_PARAGRAPH_RIGHT),TBBS_CHECKGROUP);


    // paragraph bulleted toggles between 
	// the pressed and unpressed state
	m_toolBar.SetButtonStyle(m_toolBar.CommandToIndex(ID_PARAGRAPH_BULLETED),TBBS_CHECKBOX);
	
	m_toolBar.SetBarStyle(m_toolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY |CBRS_HIDE_INPLACE| CBRS_SIZE_DYNAMIC);
	

	// code added on 21 september 2001 from VC sample dlgcbr32
	// We need to resize the dialog to make room for control bars.
	// First, figure out how big the control bars are.
	CRect rcClientStart;
	CRect rcClientNow;
	GetClientRect(rcClientStart);
	RepositionBars(AFX_IDW_CONTROLBAR_FIRST, AFX_IDW_CONTROLBAR_LAST,
				   0, reposQuery, rcClientNow);

	// Now move all the controls so they are in the same relative
	// position within the remaining client area as they would be
	// with no control bars.
	CPoint ptOffset(rcClientNow.left - rcClientStart.left,
					rcClientNow.top - rcClientStart.top);

	CRect  rcChild;
	CWnd* pwndChild = GetWindow(GW_CHILD);
	while (pwndChild)
	{
		pwndChild->GetWindowRect(rcChild);
		ScreenToClient(rcChild);
		rcChild.OffsetRect(ptOffset);
		pwndChild->MoveWindow(rcChild, FALSE);
		pwndChild = pwndChild->GetNextWindow();
	}

	// Adjust the dialog window dimensions
	CRect rcWindow;
	GetWindowRect(rcWindow);
	rcWindow.right += rcClientStart.Width() - rcClientNow.Width();
	rcWindow.bottom += rcClientStart.Height() - rcClientNow.Height();
	MoveWindow(rcWindow, FALSE);

	// And position the control bars
	RepositionBars(AFX_IDW_CONTROLBAR_FIRST, AFX_IDW_CONTROLBAR_LAST, 0);
	// end sample dlgcbr32
	
	
	// line added on Tuesday 9 Octomber 2001	
	// set background colour 
	m_rtf.SetBackgroundColor(FALSE, RGB(255,192, 128));

    m_bFisNou=m_bFisOpen=false;
	m_bBeginWriting=true;
	m_nBeginWriting=m_nFileNew=0;

	// Note that LoadAccelerator does not require DestroyAcceleratorTable
	m_hAccel = LoadAccelerators(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_ACCELERATOR1));

	m_rtf.LimitText(100000000); 
	// center the dialog app
	CenterWindow();
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMyRtfDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMyRtfDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMyRtfDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

// function added with classwizard in 19 september 2001
void CMyRtfDlg::OnFileNew() 
{	
	m_bFisNou=true;
	m_bBeginWriting=false;
	m_bFisOpen=false;
	m_nFileNew=0;

	m_nLinesNew=m_rtf.GetTextLength (); 
	if ( m_nLinesNew!=m_nLinesOpen)
	{
			// delete all of the text
		m_rtf.SetSel(0, -1);
		m_rtf.Clear();	
		m_rtf.SetModify();
	}
	else
	{
		// delete all of the text
	m_rtf.SetSel(0, -1);
	m_rtf.Clear();	
	m_rtf.SetModify(FALSE); 
	}
  CString msg;	
  msg.Format("MyRtf");
  SetWindowText ( msg ) ;

}

// function added on 20 september 2001 
void CMyRtfDlg::OnFileOpen() 
{
	// TODO: Add your command handler code here
	CFileDialog fileDlg(TRUE, "rtf", NULL, OFN_FILEMUSTEXIST,
                       "rtf files(*.rtf)|*.rtf|");
  // display the file dialog
  // if I press the Cancel button
  if (fileDlg.DoModal () == IDCANCEL)
  {
	  m_bFisOpen=false;
	  m_bBeginWriting=true;
	  return;
  }
	m_bFisOpen=true;
  	m_bBeginWriting=false;
	m_bFisNou=false;

  // I obtain the file name
  CString filename = fileDlg.GetPathName ();
  m_strFilename=fileDlg.GetFileName(); 
  CFile fis;
  fis.Open(filename, CFile::modeRead | CFile::shareExclusive   );
  m_rtf.SetRtf(&fis);
  
  // on the title bar will appear the document name which is opened
  // lines added on Wednesday 26 September 2001
  CString msg;	
  msg.Format("MyRtf - %s" , filename );
  SetWindowText ( msg ) ;

  fis.Close();		
  // if I open a file, don't ask me if to save the 
  // content or not
  m_rtf.SetModify(FALSE); 
  m_nLinesOpen=m_rtf.GetTextLength () ;

}

// function added with classwizard in 20 september 2001
// code with file find added on Tuesday 30 oct 2001
void CMyRtfDlg::OnFileSave() 
{
	m_nBeginWriting++;
	m_nFileNew++;
if ( m_bBeginWriting )
{ 
	if ( m_nBeginWriting==1)
	{

	// I define the file dialog
	CFileDialog fileDlg(FALSE, "rtf", NULL, OFN_PATHMUSTEXIST|OFN_OVERWRITEPROMPT,
                       "rtf files(*.rtf)|*.rtf|");
	// display the file dialog
	if (fileDlg.DoModal () == IDCANCEL) 
	{
		m_nBeginWriting=0;
		m_rtf.SetModify(); 
		return;
	}

	// I obtain the file name
	CString filename = fileDlg.GetPathName ();
    m_strFilename=filename; 
	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 

	// I open the file with tne modeWrite and modeCreate mode
	fis.Open(filename, CFile::modeCreate | CFile::modeWrite);

	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback;
	// I put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	fis.Close();
	m_rtf.SetModify(FALSE); 
	}// end m_nBeginWriting == 1
	else if ( m_nBeginWriting >1)
	{

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// I open the file with tne modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// I put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
	}
}//end if begin writing

else if ( m_bFisNou)
{ 
	if ( m_nFileNew == 1)
	{

	// define the dialog window
	CFileDialog fileDlg(FALSE, "rtf", NULL, OFN_PATHMUSTEXIST|OFN_OVERWRITEPROMPT,
                       "rtf files(*.rtf)|*.rtf|");
	// display the dialog window
	if (fileDlg.DoModal () == IDCANCEL) 
	{
		m_nFileNew=0;
		m_rtf.SetModify(); 
		return;
	}

	// obtain the file name
	CString filename = fileDlg.GetPathName ();
	m_strFilename=filename;
	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// I open the file with tne modeWrite and modeCreate mode
	fis.Open(filename, CFile::modeCreate | CFile::modeWrite);

	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback;
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	fis.Close();
	m_rtf.SetModify(FALSE); 
	}// end m_nFileNew==1
	else if ( m_nFileNew > 1 )
	{

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// open the file with the modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
	}
}//end if file new
else if (m_bFisOpen)// file open
{
	// if I want to save the file that I have opened and I did not 
	// CREATED and I have changed the content, I don't want to appear 
	// the dialog box which asks me for the name to save the file, but
	// I want the file to be saved with the name the file has already

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// open the file with the modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
}// end file open
  CString msg;	
  msg.Format("MyRtf - %s" , m_strFilename );
  SetWindowText ( msg ) ;

}

// My callback procedure that reads the rich edit control content
// and put it into a file
// function added on 20 september 2001 from VC help(MSDN)
//----------------------------------------------------------------------------
// Function CMyRichEditCtrl::MyStreamOutCallback
// @func    reads the rich edit control content and put it into a file
// @parm    DWORD  | dwCookie | handle to the file in which will be 
//								the rich edit control content
// @parm    LPBYTE | pbBuff   | Pointer to a buffer to write to .
//                              For a stream-out (write) operation, 
//                              the buffer contains data from the 
//								control that the callback function 
//								writes to some storage 
// @parm    LONG   | cb       | Number of bytes to write 
// @parm    LONG   | *pcb     | Pointer to a variable that the 
//								callback function sets to the number 
//								of bytes actually write  
//----------------------------------------------------------------------------
// @prog 
// Frunza Adriana
// @revs 
// 20-09-2001 - First implementation
//----------------------------------------------------------------------------
// @todo 
//----------------------------------------------------------------------------
	
DWORD CALLBACK CMyRtfDlg::MyStreamOutCallback(DWORD dwCookie, 
								LPBYTE pbBuff, LONG cb, LONG *pcb)
{
   CFile* pFile = (CFile*) dwCookie;
   pFile->Write(pbBuff, cb);
   *pcb = cb;
   return 0;
}

// function added with classwizard in 20 september 2001
void CMyRtfDlg::OnFileSaveAs() 
{
	m_nFileNew++;
if ( m_bBeginWriting )
{ 
	if ( m_nBeginWriting==1)
	{

	// I define the file dialog
	CFileDialog fileDlg(FALSE, "rtf", NULL, OFN_PATHMUSTEXIST|OFN_OVERWRITEPROMPT,
                       "rtf files(*.rtf)|*.rtf|");
	// display the file dialog
	if (fileDlg.DoModal () == IDCANCEL) 
	{
		m_nBeginWriting=0;
		m_rtf.SetModify(); 
		return;
	}

	// I obtain the file name
	CString filename = fileDlg.GetPathName ();
    m_strFilename=filename; 
	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 

	// I open the file with tne modeWrite and modeCreate mode
	fis.Open(filename, CFile::modeCreate | CFile::modeWrite);

	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback;
	// I put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	fis.Close();
	m_rtf.SetModify(FALSE); 
	}// end m_nBeginWriting == 1
	else if ( m_nBeginWriting >1)
	{

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// I open the file with tne modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// I put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
	}
}//end if begin writing

else if ( m_bFisNou)
{ 
	if ( m_nFileNew == 1)
	{

	// define the dialog window
	CFileDialog fileDlg(FALSE, "rtf", NULL, OFN_PATHMUSTEXIST|OFN_OVERWRITEPROMPT,
                       "rtf files(*.rtf)|*.rtf|");
	// display the dialog window
	if (fileDlg.DoModal () == IDCANCEL) 
	{
		m_nFileNew=0;
		m_rtf.SetModify(); 
		return;
	}

	// obtain the file name
	CString filename = fileDlg.GetPathName ();
	m_strFilename=filename;
	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// I open the file with tne modeWrite and modeCreate mode
	fis.Open(filename, CFile::modeCreate | CFile::modeWrite);

	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback;
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	fis.Close();
	m_rtf.SetModify(FALSE); 
	}// end m_nFileNew==1
	else if ( m_nFileNew > 1 )
	{

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// open the file with the modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
	}
}//end if file new
else if (m_bFisOpen)// file open
{
	// if I want to save the file that I have opened and I did not 
	// CREATED and I have changed the content, I don't want to appear 
	// the dialog box which asks me for the name to save the file, but
	// I want the file to be saved with the name the file has already

	CFile fis;
	
	EDITSTREAM es;
	es.dwCookie = (DWORD) &fis;
	es.pfnCallback = MyStreamOutCallback; 
	// open the file with the modeWrite mode
	fis.Open(m_strFilename,  CFile::modeWrite);
	// put the content in the file
	m_rtf.StreamOut(SF_RTF, es);
	m_rtf.SetModify(FALSE); 
	fis.Close(); 
}// end file open
  CString msg;	
  msg.Format("MyRtf - %s" , m_strFilename );
  SetWindowText ( msg ) ;

}

// function added with classwizard in 20 september 2001
void CMyRtfDlg::OnFilePrint() 
{
	Print(true);
}
// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnBold() 
{
	m_rtf.SetSelectionBold();
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnItalic() 
{
	m_rtf.SetSelectionItalic();	
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnUnderline() 
{
	m_rtf.SetSelectionUnderline();	
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnEditUndo() 
{
	// if possible undo the last operation
	if (m_rtf.CanUndo())   
		m_rtf.Undo();	
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnEditCut() 
{
	// Delete the selected text and copy it to the clipboard.
	m_rtf.Cut();	
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnEditCopy() 
{
	// Copy the text to the clipboard.   
    m_rtf.Copy();	
}

// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnEditPaste() 
{
	// Paste the clipboard data if possible.
	if (m_rtf.CanPaste())
		 // Replace the selected text with the text in the clipboard.
		 m_rtf.Paste();
}

// FUNCTION ADDED ON SATURDAY 22 SEPTEMBER 2001
void CMyRtfDlg::OnAppAbout() 
{
	// TODO: Add your command handler code here
	CAboutDlg about;
	about.DoModal();
	
}

// FUNCTION ADDED ON SATURDAY 22 SEPTEMBER 2001
void CMyRtfDlg::OnColour() 
{
	m_rtf.SetColour();	
}


// function added with classwizard on Friday 21 september 2001
void CMyRtfDlg::OnClose() 
{
	// Reset the modified state only if the text has been modified.
   if (m_rtf.GetModify()) 
	{ 
	   MessageBeep(0xFFFFFFFF);	
	   int nResp = MessageBox(" Do you want to save the changes made to your document?", "MyRtf",MB_ICONWARNING | MB_YESNOCANCEL);
		if ( nResp  == IDYES )
		{
			OnFileSave();
			m_rtf.SetModify(FALSE);
			CDialog::OnClose();
		}
		else if ( nResp == IDNO )
			CDialog::OnClose(); 
	    else if ( nResp == IDCANCEL )
		{/* do not close the application*/}
	}
   	else CDialog::OnClose(); 
}

// function added with classwizard on Saturday 21 september 2001
void CMyRtfDlg::OnParagraphLeft() 
{
	m_rtf.SetParagraphLeft();		
}

// function added with classwizard on Monday 24 september 2001
void CMyRtfDlg::OnParagraphCenter() 
{
	m_rtf.SetParagraphCenter();			
}

// function added with classwizard on Monday 24 september 2001
void CMyRtfDlg::OnParagraphRight() 
{
	m_rtf.SetParagraphRight();			
}

// function added with classwizard on Monday 24 september 2001
void CMyRtfDlg::OnParagraphBulleted() 
{
	m_rtf.SetParagraphBulleted();				
}

// function added with classwizard on Wednesday 26 september 2001
void CMyRtfDlg::OnFormatFont() 
{

	CFontDialog dlg( NULL , CF_BOTH | CF_EFFECTS );
	if ( dlg.DoModal() != IDOK )
		return;

	if ( dlg.IsUnderline() )
	{
		m_rtf.SetSelectionUnderline ();
	}
	
	CString faceName = dlg.GetFaceName();
	m_rtf.SetFontName( faceName ) ;
	
	COLORREF clr= dlg.GetColor ();
	m_rtf.SetColor(clr); 

	int nPointSize = dlg.GetSize();
	m_rtf.SetFontSize( nPointSize ) ;

}

// function added with classwizard on Tuesday 16 octomber 2001
// select all of the text
void CMyRtfDlg::OnEditSelectAll() 
{
	m_rtf.SetSel(0, -1);
}

// function added with classwizard on Tuesday 16 octomber 2001
// delete the current selection
void CMyRtfDlg::OnEditDelete() 
{
	m_rtf.Clear();
}


// function added with classwizard on Saturday 20 octomber 2001
// this code is taken from dlgcbr32
BOOL CMyRtfDlg::OnToolTipText(UINT, NMHDR* pNMHDR, LRESULT* pResult)
{    
		ASSERT(pNMHDR->code == TTN_NEEDTEXTA || pNMHDR->code == TTN_NEEDTEXTW);

	// allow top level routing frame to handle the message
	if (GetRoutingFrame() != NULL)
		return FALSE;

	// need to handle both ANSI and UNICODE versions of the message
	TOOLTIPTEXTA* pTTTA = (TOOLTIPTEXTA*)pNMHDR;
	TOOLTIPTEXTW* pTTTW = (TOOLTIPTEXTW*)pNMHDR;
	TCHAR szFullText[256];
	CString strTipText;
	UINT nID = pNMHDR->idFrom;
	if (pNMHDR->code == TTN_NEEDTEXTA && (pTTTA->uFlags & TTF_IDISHWND) ||
		pNMHDR->code == TTN_NEEDTEXTW && (pTTTW->uFlags & TTF_IDISHWND))
	{
		// idFrom is actually the HWND of the tool
		nID = ((UINT)(WORD)::GetDlgCtrlID((HWND)nID));
	}

	if (nID != 0) // will be zero on a separator
	{
		AfxLoadString(nID, szFullText);
		// this is the command id, not the button index
		AfxExtractSubString(strTipText, szFullText, 1, '\n');
	}
#ifndef _UNICODE
	if (pNMHDR->code == TTN_NEEDTEXTA)
		lstrcpyn(pTTTA->szText, strTipText,
			(sizeof(pTTTA->szText)/sizeof(pTTTA->szText[0])));
	else
		_mbstowcsz(pTTTW->szText, strTipText,
			(sizeof(pTTTW->szText)/sizeof(pTTTW->szText[0])));
#else
	if (pNMHDR->code == TTN_NEEDTEXTA)
		_wcstombsz(pTTTA->szText, strTipText,
			(sizeof(pTTTA->szText)/sizeof(pTTTA->szText[0])));
	else
		lstrcpyn(pTTTW->szText, strTipText,
			(sizeof(pTTTW->szText)/sizeof(pTTTW->szText[0])));
#endif
	*pResult = 0;

	// bring the tooltip window above other popup windows
	::SetWindowPos(pNMHDR->hwndFrom, HWND_TOP, 0, 0, 0, 0,
		SWP_NOACTIVATE|SWP_NOSIZE|SWP_NOMOVE);

	return TRUE;    // message was handled
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnInitMenuPopup
//      OnInitMenuPopup updates the state of items on a popup menu.
//
//      This code is based on CFrameWnd::OnInitMenuPopup.  We assume the
//      application does not support context sensitive help.
// this code is taken from dlgcbr32
void CMyRtfDlg::OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu)
{
	if (!bSysMenu)
	{
		ASSERT(pPopupMenu != NULL);

		// check the enabled state of various menu items
		CCmdUI state;
		state.m_pMenu = pPopupMenu;
		ASSERT(state.m_pOther == NULL);

		state.m_nIndexMax = pPopupMenu->GetMenuItemCount();
		for (state.m_nIndex = 0; state.m_nIndex < state.m_nIndexMax;
			 state.m_nIndex++)
		{
			state.m_nID = pPopupMenu->GetMenuItemID(state.m_nIndex);
			if (state.m_nID == 0)
				continue; // menu separator or invalid cmd - ignore it

			ASSERT(state.m_pOther == NULL);
			ASSERT(state.m_pMenu != NULL);
			if (state.m_nID == (UINT)-1)
			{
				// possibly a popup menu, route to first item of that popup
				state.m_pSubMenu = pPopupMenu->GetSubMenu(state.m_nIndex);
				if (state.m_pSubMenu == NULL ||
					(state.m_nID = state.m_pSubMenu->GetMenuItemID(0)) == 0 ||
					state.m_nID == (UINT)-1)
				{
					continue; // first item of popup can't be routed to
				}
				state.DoUpdate(this, FALSE);  // popups are never auto disabled
			}
			else
			{
				// normal menu item
				// Auto enable/disable if command is _not_ a system command
				state.m_pSubMenu = NULL;
				state.DoUpdate(this, state.m_nID < 0xF000);
			}
		}
	}
}



/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnEnterIdle
//      OnEnterIdle updates the status bar when there's nothing better to do.
//      This code is based on CFrameWnd::OnEnterIdle.

void CMyRtfDlg::OnEnterIdle(UINT nWhy, CWnd* pWho)
{
	if (nWhy != MSGF_MENU || m_nIDTracking == m_nIDLastMessage)
		return;

	OnSetMessageString(m_nIDTracking);
	ASSERT(m_nIDTracking == m_nIDLastMessage);
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnMenuSelect
//      OnMenuSelect updates the status bar message, based on the state
//      of the dialog menu.
//
//      This code is based on CFrameWnd::OnMenuSelect.  We assume the
//      application does not support context sensitive help.

void CMyRtfDlg::OnMenuSelect(UINT nItemID, UINT nFlags, HMENU hSysMenu)
{
	// set the tracking state
	if (nFlags == 0xFFFF)
	{
		// cancel menu operation (go back to idle now)
		m_nIDTracking = AFX_IDS_IDLEMESSAGE;
		OnSetMessageString(m_nIDTracking);  // set string now
		ASSERT(m_nIDTracking == m_nIDLastMessage);
	}
	else if (nItemID == 0 ||
			 nFlags & (MF_SEPARATOR|MF_POPUP|MF_MENUBREAK|MF_MENUBARBREAK))
	{
		// nothing should be displayed
		m_nIDTracking = 0;
	}
	else if (nItemID >= 0xF000 && nItemID < 0xF1F0)
	{
		// special string table entries for system commands
		m_nIDTracking = ID_COMMAND_FROM_SC(nItemID);
		ASSERT(m_nIDTracking >= AFX_IDS_SCFIRST &&
			   m_nIDTracking < AFX_IDS_SCFIRST + 31);
	}
	else
	{
		// track on idle
		m_nIDTracking = nItemID;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnSetMessageString
//      OnSetMessageString updates the status bar text.
//
//      This code is based on CFrameWnd::OnSetMessageString.  We assume
//      a string ID is always passed in wParam.

LRESULT CMyRtfDlg::OnSetMessageString(WPARAM wParam, LPARAM lParam)
{
	UINT    nIDMsg = (UINT)wParam;
	CString strMsg;

	if (nIDMsg)
	{
		if (strMsg.LoadString(nIDMsg) != 0)
			m_statusBar.SetWindowText(strMsg);
		else
			TRACE1("Warning: no message line prompt for ID %x%04X\n", nIDMsg);
	}

	UINT nIDLast     = m_nIDLastMessage;
	m_nIDLastMessage = nIDMsg;
	m_nIDTracking    = nIDMsg;
	return nIDLast;

}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnStatusBarCheck
//      OnStatusBarCheck toggles the status of the status bar when the
//      corresponding View option is selected from the menu.

void CMyRtfDlg::OnStatusBarCheck()
{
	m_statusBar.ShowWindow(m_statusBar.IsWindowVisible() ? SW_HIDE : SW_SHOWNA);
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnUpdateStatusBarMenu
//      OnUpdateStatusBarMenu checks or unchecks the View option,
//      depending on whether or not the status bar is visible.

void CMyRtfDlg::OnUpdateStatusBarMenu(CCmdUI* pCmdUI)
{
	ASSERT(pCmdUI->m_nID == ID_VIEW_STATUS_BAR);
	pCmdUI->SetCheck(m_statusBar.IsWindowVisible());
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnToolBarCheck
//      OnToolBarCheck toggles the status of the toolbar when the
//      corresponding View option is selected from the menu.

void CMyRtfDlg::OnToolBarCheck()
{
	m_toolBar.ShowWindow(m_toolBar.IsWindowVisible() ? SW_HIDE : SW_SHOWNA);
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnUpdateToolBarMenu
//      OnUpdateToolBarMenu checks or unchecks the View option,
//      depending on whether or not the toolbar is visible.

void CMyRtfDlg::OnUpdateToolBarMenu(CCmdUI* pCmdUI)
{
	ASSERT(pCmdUI->m_nID == ID_VIEW_TOOLBAR);
	pCmdUI->SetCheck(m_toolBar.IsWindowVisible());
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnUpdateKeyIndicator
//      OnUpdateKeyIndicator enables or disables one of the key 
//      indicators in a status bar.It recognizes the CAPS, NUM, and 
//      SCRL keys.

void CMyRtfDlg::OnUpdateKeyIndicator(CCmdUI* pCmdUI)
{
	UINT nVK;

	switch (pCmdUI->m_nID)
	{
	case ID_INDICATOR_CAPS:
		nVK = VK_CAPITAL;
		break;

	case ID_INDICATOR_NUM:
		nVK = VK_NUMLOCK;
		break;

	case ID_INDICATOR_SCRL:
		nVK = VK_SCROLL;
		break;

	default:
		TRACE1("Warning: OnUpdateKeyIndicator - unknown indicator 0x%04X\n",
			pCmdUI->m_nID);
		pCmdUI->ContinueRouting();
		return; // not for us
	}

	pCmdUI->Enable(::GetKeyState(nVK) & 1);
		// enable static text based on toggled key state
	ASSERT(pCmdUI->m_bEnableChanged);
}

/////////////////////////////////////////////////////////////////////////////
// CModelessMain::OnPopMessageString
//      Resets status bar message string.  This code is based on
//      CFrameWnd::OnPopMessageString

LRESULT CMyRtfDlg::OnPopMessageString(WPARAM wParam, LPARAM lParam)
{
	if (m_nFlags & WF_NOPOPMSG)
		return 0;
      
	return SendMessage(WM_SETMESSAGESTRING, wParam, lParam);
}

void CMyRtfDlg::OnChangeBackgroundColor() 
{
	// TODO: Add your command handler code here
	CColorDialog dlg;
	COLORREF clr;
	
	if ( dlg.DoModal() == IDOK )
	{
		clr = dlg.GetColor();
		m_rtf.SetBackgroundColor(FALSE, clr);
	}
	
}

void CMyRtfDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	
	// TODO: Add your message handler code here
	// this code is taken from Ftptree MSDN sample
	// CFTPTREEDlg::OnSize
	if ((cx > 0) && (cy > 0))
	{
		CRect rect;
		if (m_rtf.m_hWnd != NULL)
		{
			m_rtf.GetWindowRect(rect);
			ScreenToClient(rect);
			m_rtf.MoveWindow(rect.left, rect.top,
								cx-(2*rect.left), cy-rect.top-rect.left);
		}
		// end sample
		if ( m_toolBar.m_hWnd !=NULL)
		{
			m_toolBar.GetWindowRect(rect);
			ScreenToClient(rect);
			m_toolBar.MoveWindow(rect.left, rect.top,cx,rect.bottom);
		}
		if ( m_statusBar.m_hWnd != NULL )
		{
			m_statusBar.GetWindowRect(rect);
			ScreenToClient(rect);
			m_statusBar.MoveWindow(0, cy-20,cx,cy-20);
		}
	}

}

void CMyRtfDlg::OnUpdateEditCut(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here

	ASSERT(pCmdUI->m_nID == ID_EDIT_CUT);
	WORD wSel= m_rtf.GetSelectionType ();
	if ( wSel & SEL_TEXT )
		pCmdUI->Enable ();
	else //if ( m_rtf.GetSelectionType () == SEL_EMPTY)
		pCmdUI->Enable (false);
}


void CMyRtfDlg::OnUpdateEditCopy(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_EDIT_COPY);
	WORD wSel= m_rtf.GetSelectionType ();
	if (  wSel & SEL_TEXT )
		pCmdUI->Enable ();
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
		pCmdUI->Enable (false);
}



BOOL CMyRtfDlg::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: Add your specialized code here and/or call the base class

	// this code is taken from Mfccalc MSDN sample ---
	// CCalcDlg::PreTransateMessage
	if (m_hAccel != NULL && TranslateAccelerator(m_hWnd, m_hAccel, pMsg))
		return TRUE;
	// end sample
	
	if ((pMsg->message == WM_KEYDOWN) && (pMsg->wParam == VK_TAB))  
	{
     m_bTab=true; 
	 m_rtf.m_bClick =false;
	 // get the char index of the caret position
     CPoint nPos = m_rtf.GetCaretPos();  
	 // select zero chars  
     //m_rtf.SetSel(nPos.x, nPos.x);  
     // then replace that selection with a TAB  
     m_rtf.ReplaceSel("\t", TRUE);
     return true;
	}
	return CDialog::PreTranslateMessage(pMsg);
}


// this code is taken from Vadim Z.'s article RTF based Tooltips
// www.codeguru.com
//----------------------------------------------------------------------------
// Function CMyRichEditCtrl::Print
// @func    print the rich edit control content
// @parm    bool  | bShowPrintDialog | show the dialog box CPrintDialog
//----------------------------------------------------------------------------
// @todo 
//----------------------------------------------------------------------------
void CMyRtfDlg::Print(bool bShowPrintDialog)
{
	CPrintDialog printDialog(false);
	
	
	if (bShowPrintDialog)
	{
		int r = printDialog.DoModal();
		if (r == IDCANCEL)
			return; // User pressed cancel, don't print.
	}
	else
	{
		printDialog.GetDefaults();
	}

	HDC hPrinterDC = printDialog.GetPrinterDC();

	// This code basically taken from MS KB article Q129860 
	
	FORMATRANGE fr;
	  int	  nHorizRes = GetDeviceCaps(hPrinterDC, HORZRES);
	  int	  nVertRes = GetDeviceCaps(hPrinterDC, VERTRES);
      int     nLogPixelsX = GetDeviceCaps(hPrinterDC, LOGPIXELSX);
	  int     nLogPixelsY = GetDeviceCaps(hPrinterDC, LOGPIXELSY);
	  LONG	      lTextLength;   // Length of document.
	  LONG	      lTextPrinted;  // Amount of document printed.

	 // Ensure the printer DC is in MM_TEXT mode.
	  SetMapMode ( hPrinterDC, MM_TEXT );

	 // Rendering to the same DC we are measuring.
	  ZeroMemory(&fr, sizeof(fr));
	  fr.hdc = fr.hdcTarget = hPrinterDC;

	 // Set up the page.
	  fr.rcPage.left     = fr.rcPage.top = 0;
	  fr.rcPage.right    = (nHorizRes/nLogPixelsX) * 1440;
	  fr.rcPage.bottom   = (nVertRes/nLogPixelsY) * 1440;

	 // Set up 0" margins all around.
	  fr.rc.left   = fr.rcPage.left ;//+ 1440;  // 1440 TWIPS = 1 inch.
	  fr.rc.top    = fr.rcPage.top ;//+ 1440;
	  fr.rc.right  = fr.rcPage.right ;//- 1440;
	  fr.rc.bottom = fr.rcPage.bottom ;//- 1440;

	 // Default the range of text to print as the entire document.
	  fr.chrg.cpMin = 0;
	  fr.chrg.cpMax = -1;
      m_rtf.FormatRange(&fr,true);      
	 // Set up the print job (standard printing stuff here).
		DOCINFO di;
	  ZeroMemory(&di, sizeof(di));
	  di.cbSize = sizeof(DOCINFO);

	  di.lpszDocName = m_strFilename;

	    // Do not print to file.
	     di.lpszOutput = NULL;
	     

	 // Start the document.
	  StartDoc(hPrinterDC, &di);

	 // Find out real size of document in characters.
	  lTextLength = m_rtf.GetTextLength();
	
	 do
	     {
	     // Start the page.
	     StartPage(hPrinterDC);

	    // Print as much text as can fit on a page. The return value is
	     // the index of the first character on the next page. Using TRUE
	     // for the wParam parameter causes the text to be printed.

	    lTextPrinted =m_rtf.FormatRange(&fr,true);
		m_rtf.DisplayBand(&fr.rc );

	    // Print last page.
	     EndPage(hPrinterDC);

	    // If there is more text to print, adjust the range of characters
	    // to start printing at the first character of the next page.
		if (lTextPrinted < lTextLength)
		{
		fr.chrg.cpMin = lTextPrinted;
		fr.chrg.cpMax = -1;
		}
	     }
	  while (lTextPrinted < lTextLength);

	 // Tell the control to release cached information.
	  m_rtf.FormatRange(NULL,false);


	 EndDoc (hPrinterDC);

	  ///////
	  
	DeleteDC(hPrinterDC);

}
// for updating dialog box controls
// this 2 functions are taken from Visual C++ for dummies Quick
// Reference book --- Dialog Command Enablers --- page 185 and 186
LRESULT CMyRtfDlg::OnKickIdle(WPARAM w, LPARAM l)
{
	AfxGetApp()->OnIdle(-1);
	OnIdleUpdateCmdUI(w,l);
	return 0L;
}
LRESULT CMyRtfDlg::OnIdleUpdateCmdUI(WPARAM w, LPARAM l)
{
	UpdateDialogControls((CCmdTarget*)this,true);
	return 0L;
}
// added on 2 sep 2003
void CMyRtfDlg::OnUpdateBold(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_BOLD);
	// get the sel type	
	WORD wSel= m_rtf.GetSelectionType ();
	// if sel is bold then show the Bold button pressed
	if ( (wSel==SEL_MULTICHAR) &&  m_rtf.SelectionIsBold() )
		pCmdUI->SetCheck(m_rtf.bold);  
	// if I have clicked in the window and immediately after the caret
	// is a bold character, then show the Bold button pressed
	else if ( m_bClick)
	{
     if ( m_rtf.SelectionIsBold() )
		 pCmdUI->SetCheck(m_rtf.bold);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
}
// 2 sep 2003
void CMyRtfDlg::OnUpdateItalic(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_ITALIC);
	// get the sel type	
	WORD wSel= m_rtf.GetSelectionType ();
	// if sel is bold then show the Bold button pressed
	if ( (wSel==SEL_MULTICHAR) &&  m_rtf.SelectionIsItalic() )
		pCmdUI->SetCheck(1);  
	// if I have clicked in the window and immediately after the caret
	// is a bold character, then show the Bold button pressed
	else if ( m_bClick)
	{
     if ( m_rtf.SelectionIsItalic() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
	
}
// 2 sep 2003
void CMyRtfDlg::OnUpdateUnderline(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_UNDERLINE);
	WORD wSel= m_rtf.GetSelectionType ();
	if (   wSel & SEL_TEXT && m_rtf.SelectionIsUnderlined() )
		pCmdUI->SetCheck(1 );  
	else if ( m_bClick)
	{
     if ( m_rtf.SelectionIsUnderlined() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}

	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
	
}
// 2 sep 2003
void CMyRtfDlg::OnUpdateEditPaste(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	COleDataObject oleTarget;
	oleTarget.AttachClipboard ();
	pCmdUI->Enable(oleTarget.IsDataAvailable(CF_TEXT));  
}

void CMyRtfDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	// if I have clicked in the window and immediately after the caret
	// is a bold,italic or underlined character, then show the Bold, 
	// Italic or Underlined button pressed

	    m_bClick=true;
			// get the caret position 
			point=m_rtf.GetCaretPos ();
			// if there is no text in the window, do not select 
			// anything
			if ( m_rtf.GetTextLength()==0 )
				m_rtf.SetSel(0 , 0);						
			else 
				// select 1 character and verify if the character is 
				// bold, italic or underlined
				m_rtf.SetSel(point.x , point.x+1);
			m_rtf.ShowCaret(); 
			// hide the selection. It is not importand for the user to 
			// see it
			m_rtf.HideSelection(true,false);
	CDialog::OnLButtonDown(nFlags, point);
}

void CMyRtfDlg::OnUpdateEditDelete(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_EDIT_DELETE);
	WORD wSel= m_rtf.GetSelectionType ();
	if (  wSel & SEL_TEXT )
		pCmdUI->Enable ();
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
		pCmdUI->Enable (false);
}

void CMyRtfDlg::OnUpdateEditUndo(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	if (m_rtf.CanUndo())   
		pCmdUI->Enable() ;	
	else pCmdUI->Enable(false) ;	
	
}

void CMyRtfDlg::OnUpdateParagraphBulleted(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_PARAGRAPH_BULLETED);
	WORD wSel= m_rtf.GetSelectionType ();
	if (   wSel & SEL_TEXT && m_rtf.ParagraphIsBulleted()) 
		pCmdUI->SetCheck(1 );  
	else if ( m_bClick)
	{
     if ( m_rtf.ParagraphIsBulleted() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
}

void CMyRtfDlg::OnUpdateParagraphCenter(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_PARAGRAPH_CENTER);
	WORD wSel= m_rtf.GetSelectionType ();
	if (   wSel & SEL_TEXT && m_rtf.ParagraphIsCentered()) 
		pCmdUI->SetCheck(1 );  
	else if ( m_bClick)
	{
     if ( m_rtf.ParagraphIsCentered() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
	
}

void CMyRtfDlg::OnUpdateParagraphLeft(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_PARAGRAPH_LEFT);
	WORD wSel= m_rtf.GetSelectionType ();
	if (   wSel & SEL_TEXT && m_rtf.ParagraphIsLeft()) 
		pCmdUI->SetCheck(1 );  
	else if ( m_bClick)
	{
     if ( m_rtf.ParagraphIsLeft() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
	
}

void CMyRtfDlg::OnUpdateParagraphRight(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	ASSERT(pCmdUI->m_nID == ID_PARAGRAPH_RIGHT);
	WORD wSel= m_rtf.GetSelectionType ();
	if (   wSel & SEL_TEXT && m_rtf.ParagraphIsRight()) 
		pCmdUI->SetCheck(1 );  
	else if ( m_bClick)
	{
     if ( m_rtf.ParagraphIsRight() )
		 pCmdUI->SetCheck(1);
	 else 
		 pCmdUI->SetCheck(0); 
	}
	else if ( m_rtf.GetSelectionType () == SEL_EMPTY)
	{
		pCmdUI->SetCheck(0);  
	}
	
}
